<?php
namespace Incoviba\old\Venta;

use Carbon\Carbon;
use Incoviba\Common\Alias\OldModel as Model;

/**
 * @property int $id
 * @property Venta $venta
 * @property TipoEstadoVenta $estado
 * @property Carbon $fecha
 */
class EstadoVenta extends Model
{
  public function venta()
  {
    return $this->belongsTo(Venta::class, 'venta')->findOne();
  }
  public function tipo()
  {
    return $this->belongsTo(TipoEstadoVenta::class, 'estado')->findOne();
  }
  public function fecha()
  {
    return Carbon::parse($this->fecha, config('app.timezone'));
  }
}
